Package org.apache.sysds.runtime.lineage

# Class LineageCacheStatistics

java.lang.Object
org.apache.sysds.runtime.lineage.LineageCacheStatistics

public class LineageCacheStatistics extends Object
This singleton provides basic lineage caching statistics in CP. Hit statistics for caching (mem, fs, total)

## Constructor Summary

Constructors
Constructor
Description
`LineageCacheStatistics()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`displayComputeTime()`
`static String`
`displayFSTime()`
`static String`
`displayGpuEvictTime()`
`static String`
`displayGpuPointerStats()`
`static String`
`displayGpuStats()`
`static String`
`displayHits()`
`static String`
`displayMultiLevelHits()`
`static String`
`displayRewrites()`
`static String`
`displaySparkHits()`
`static String`
`displaySparkPersist()`
`static String`
`displayWtrites()`
`static long`
`getDelHits()`
`static long`
`getFSHits()`
`static long`
`getFSWrites()`
`static long`
`getFuncHits()`
`static long`
`getInstHits()`
`static long`
`getMemDeletes()`
`static long`
`getMemHits()`
`static long`
`getMemWrites()`
`static long`
`getMultiLevelFnHits()`
`static long`
`getMultiLevelSBHits()`
`static long`
`getSBHits()`
`static boolean`
`ifGpuStats()`
`static boolean`
`ifSparkStats()`
`static void`
`incrementDelHits()`
`static void`
`incrementDelHitsGpu()`
`static void`
`incrementDelHitsRdd()`
`static void`
`incrementEvictTimeGpu(long delta)`
`static void`
`incrementFSHits()`
`static void`
`incrementFSReadTime(long delta)`
`static void`
`incrementFSWrites()`
`static void`
`incrementFSWriteTime(long delta)`
`static void`
`incrementFuncHits()`
`static void`
`incrementGpuDel()`
`static void`
`incrementGpuHits()`
`static void`
`incrementGpuPrefetch()`
`static void`
`incrementGpuRecycle()`
`static void`
`incrementGpuSyncEvicts()`
`static void`
`incrementInstHits()`
`static void`
`incrementMemDeletes()`
`static void`
`incrementMemHits()`
`static void`
`incrementMemWrites()`
`static void`
`incrementMissedComputeTime(long delta)`
`static void`
`incrementPRewrites()`
`static void`
`incrementProbeTime(long delta)`
`static void`
`incrementRDDHits()`
`static void`
`incrementRDDPersistHits()`
`static void`
`incrementRDDPersists()`
`static void`
`incrementRDDUnpersists()`
`static void`
`incrementSavedComputeTime(long delta)`
`static void`
`incrementSBHits()`
`static void`
`incrementSparkCollectHits()`
`static void`
`reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineageCacheStatistics

public LineageCacheStatistics()

## Method Details

### reset

public static void reset()

### incrementMemHits

public static void incrementMemHits()

### getMemHits

public static long getMemHits()

### incrementFSHits

public static void incrementFSHits()

### getFSHits

public static long getFSHits()

### incrementDelHits

public static void incrementDelHits()

### getDelHits

public static long getDelHits()

### incrementInstHits

public static void incrementInstHits()

### getInstHits

public static long getInstHits()

### incrementSBHits

public static void incrementSBHits()

### getSBHits

public static long getSBHits()

### incrementFuncHits

public static void incrementFuncHits()

### getFuncHits

public static long getFuncHits()

### incrementMemWrites

public static void incrementMemWrites()

### getMemWrites

public static long getMemWrites()

### incrementPRewrites

public static void incrementPRewrites()

### incrementFSWrites

public static void incrementFSWrites()

### getFSWrites

public static long getFSWrites()

### incrementMemDeletes

public static void incrementMemDeletes()

### getMemDeletes

public static long getMemDeletes()

### incrementFSReadTime

public static void incrementFSReadTime(long delta)

### incrementFSWriteTime

public static void incrementFSWriteTime(long delta)

### incrementSavedComputeTime

public static void incrementSavedComputeTime(long delta)

### incrementMissedComputeTime

public static void incrementMissedComputeTime(long delta)

### incrementProbeTime

public static void incrementProbeTime(long delta)

### getMultiLevelFnHits

public static long getMultiLevelFnHits()

### getMultiLevelSBHits

public static long getMultiLevelSBHits()

### incrementGpuHits

public static void incrementGpuHits()

### incrementGpuPrefetch

public static void incrementGpuPrefetch()

### incrementGpuSyncEvicts

public static void incrementGpuSyncEvicts()

### incrementGpuRecycle

public static void incrementGpuRecycle()

### incrementGpuDel

public static void incrementGpuDel()

### incrementDelHitsGpu

public static void incrementDelHitsGpu()

### incrementEvictTimeGpu

public static void incrementEvictTimeGpu(long delta)

### incrementRDDHits

public static void incrementRDDHits()

### incrementSparkCollectHits

public static void incrementSparkCollectHits()

### incrementRDDPersistHits

public static void incrementRDDPersistHits()

### incrementRDDPersists

public static void incrementRDDPersists()

### incrementRDDUnpersists

public static void incrementRDDUnpersists()

### incrementDelHitsRdd

public static void incrementDelHitsRdd()

### displayHits

public static String displayHits()

### displayMultiLevelHits

public static String displayMultiLevelHits()

### displayWtrites

public static String displayWtrites()

### displayRewrites

public static String displayRewrites()

### displayFSTime

public static String displayFSTime()

### displayComputeTime

public static String displayComputeTime()

### displayGpuStats

public static String displayGpuStats()

### displayGpuPointerStats

public static String displayGpuPointerStats()

### displayGpuEvictTime

public static String displayGpuEvictTime()

### ifGpuStats

public static boolean ifGpuStats()

### displaySparkHits

public static String displaySparkHits()

### displaySparkPersist

public static String displaySparkPersist()

### ifSparkStats

public static boolean ifSparkStats()